japa.parser.ast.stmt

## Class IfStmt

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.stmt.Statement
    - - japa.parser.ast.stmt.IfStmt

    public final class IfStmt
    extends Statement

### Constructor Summary

Constructors
Constructor and Description
`IfStmt()`
`IfStmt(Expression condition, Statement thenStmt, Statement elseStmt)`
`IfStmt(int beginLine, int beginColumn, int endLine, int endColumn, Expression condition, Statement thenStmt, Statement elseStmt)`

### Method Summary

Methods
`<R,A> R` `accept(GenericVisitor<R,A> v, A arg)` Accept method for visitor support.
`<A> void` `accept(VoidVisitor<A> v, A arg)` Accept method for visitor support.
`Expression` `getCondition()`
`Statement` `getElseStmt()`
`Statement` `getThenStmt()`
`void` `setCondition(Expression condition)`
`void` `setElseStmt(Statement elseStmt)`
`void` `setThenStmt(Statement thenStmt)`

### Methods inherited from class japa.parser.ast.Node

`equals, getBeginColumn, getBeginLine, getData, getEndColumn, getEndLine, hashCode, setBeginColumn, setBeginLine, setData, setEndColumn, setEndLine, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IfStmt

    public IfStmt()

#### IfStmt

    public IfStmt(Expression condition,
          Statement thenStmt,
          Statement elseStmt)

#### IfStmt

    public IfStmt(int beginLine,
          int beginColumn,
          int endLine,
          int endColumn,
          Expression condition,
          Statement thenStmt,
          Statement elseStmt)

### Method Detail

#### accept

    public <R,A> R accept(GenericVisitor<R,A> v,
                 A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `R` - the type the return value of the visitor
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor
Returns:
  the result of the visit

#### accept

    public <A> void accept(VoidVisitor<A> v,
                  A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor

#### getCondition

    public Expression getCondition()

#### getElseStmt

    public Statement getElseStmt()

#### getThenStmt

    public Statement getThenStmt()

#### setCondition

    public void setCondition(Expression condition)

#### setElseStmt

    public void setElseStmt(Statement elseStmt)

#### setThenStmt

    public void setThenStmt(Statement thenStmt)